; Configuration file for Duet WiFi (firmware version 1.20 or newer)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool on Fri Feb 16 2018 16:52:18 GMT+0100 (CET)

; General preferences
M111 S0                                   ; Debugging off
G21                                       ; Work in millimetres
G90                                       ; Send absolute coordinates...
M83                                       ; ...but relative extruder moves
M555 P2                                   ; Set firmware compatibility to look like Marlin
; Automatic saving after power loss is not enabled


;2.02
;M667 S1                                   ; Select CoreXY mode
;2.03
M669 K1
M208 X0 Y0 Z-2 S1                          ; Set axis minima
M208 X297 Y290 Z350 S0                    ; Set axis maxima

; Endstops
M574 X2 Y2 Z2 S1                             ; Set active high endstops; bltouch comment
;M574 Z1 S2                                ; Set endstops controlled by probe; bltouch comment
;M558 P5 H350 F120 T6000 I1 A2 R2            ; Set Z probe type to switch and the dive height + speeds; bltouch comment
;G31 P600 X10 Y0 Z2.5                      ; Set Z probe trigger value, offset and trigger height; bltouch comment
M557 X10:290 Y10:290 S20                  ; Define mesh grid

; Drives
M569 P0 S0                                ; Drive 0 goes forwards
M569 P1 S0                                ; Drive 1 goes forwards
M569 P2 S0                                ; Drive 2 goes forwards
M569 P3 S0                                ; Drive 3 goes backwards
M584 X1 Y0 Z2 E3
M350 X16 Y16 Z16 I1                       ; Configure microstepping with interpolation
M350 E16 I1
;M92 X160 Y160 Z3200 E863                 ; Set steps per mm titan
M92 X160 Y160 Z3200 E1176                 ; Set steps per mm bondtech
M566 X900 Y900 Z900 E400                  ; Set maximum instantaneous speed changes (mm/min)
M203 X25000 Y25000 Z400 E1800             ; Set maximum speeds (mm/min)
M201 X6000 Y6000 Z5000 E1000              ; Set accelerations (mm/s^2)
M204 P2000 T4000			  ; Printing and move speeds
M906 X1900 Y1900 Z1500 E2500 I50          ; Set motor currents (mA) and motor idle factor in per cent
M84 S30                                   ; Set idle timeout

; Heaters
M301 H0 S1.00 P10 I0.1 D200 T0.4 W180 B30 ; Use PID on bed heater (may require further tuning)
M305 P0 R4700 T100000 B3950               ; Set thermistor + ADC parameters for heater 0
M143 H0 S160 A0                           ; Set temperature limit for heater 0 to 120C
M305 P1 X200                              ; Set thermistor + ADC parameters for heater 1 and remap it to channel 200
M143 H1 S350 A0                           ; Set temperature limit for heater 1 to 280C

; Tools
M563 P0 D0 H1 F1                          ; Define tool 0
G10 P0 X0 Y0 Z0                           ; Set tool 0 axis offsets
G10 P0 R0 S0                              ; Set initial tool 0 active and standby temperatures to 0C

; Network
M550 PHypercube Evo                       ; Set machine name
M552 S1                                   ; Enable network
M587 S"dragonn2" P"Twb3MRYd"              ; Configure access point. You can delete this line once connected
;M589 S"Evo dragonn" P"1q2w3e4r5t" I10.0.0.1
;M552 S0
;M589 S"EVO88888" P"EVO88888" I192.168.0.1
;M552 S2

M586 P0 S1                                ; Enable HTTP
M586 P1 S0                                ; Disable FTP
M586 P2 S0                                ; Disable Telnet

; Fans
M106 P0 S0.35 I0 F20 H-1 C"Drivers"      ; Set fan 0 value, PWM signal inversion and frequency. Thermostatic control is turned off- elektronika
M106 P1 S0 I0 F500  H-1 B0.5 C"Part"          ; Set fan 1 value, PWM signal inversion and frequency. Thermostatic control is turned on - wydrukk
M106 P2 S1 I0 F500 H1 T45 C"Hotend"      ; Set fan 2 value, PWM signal inversion and frequency. Thermostatic control is turned on - głowica

; Custom settings are not configured
M912 P0 S-10
;M572 D0 S0.1

;UPS trigger
M581 E1 S0 T2 C1

; Miscellaneous
M572 D0 S0.14				  ; Pressure advance
M501                                      ; Load saved parameters from non-volatile memory
T0                                        ; Select first tool
M575 P1 B57600 S1
M302 R0